
import system from './index' // 系统首页

import systemSet from './systemSet/index' // 系统设置
import userManger from './systemSet/userManger/index' // 用户管理
import characterManger from './systemSet/characterManger/index' // 角色管理

import caseManger from './caseManger/index' // 案场管理
import caseInfo from './caseManger/caseInfo/index' // 案场信息
import addCase from './caseManger/caseInfo/addCase/index' // 新增案场
import editCase from './caseManger/caseInfo/editCase/index' // 新增案场
import keyManger from './caseManger/keyManger/index' // 钥匙管理
import caseAreaManger from './caseManger/caseAreaManger/index' // 案场区域管理
import caseTableManger from './caseManger/caseTableManger/index' // 案场桌位管理

import goodsManger from './goodsManger/index' // 商品管理
import goodsTypeManger from './goodsManger/goodsTypeManger/index' // 商品类型管理
import goodsSpecManger from './goodsManger/goodsSpecManger/index' // 商品规格管理

import cmsManger from './cmsManger/index' // cms管理
import bannerManger from './cmsManger/bannerManger/index' // 轮播图管理
import majorProjects from './cmsManger/majorProjects/index' // 售楼处项目专题
import indexMsg from './cmsManger/indexMsg/index' // 首页消息
import newsManger from './cmsManger/newsManger/index' // 资讯管理

import channelManger from './channelManager/index' // 渠道管理
import channelList from './channelManager/channelList/index' // 渠道列表

import courseManger from './courseManger/index' // 课程管理
import fiveA from './courseManger/fiveA/index' // 全龄生活5A
import courseTag from './courseManger/courseTag/index' // 课程标签

import dataStatistics from './dataStatistics/index' // 数据统计
import frontEndUserList from './dataStatistics/frontEndUserList/index' // 课程管理

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 系统设置
        path: 'systemSet',
        name: 'systemSet',
        component: systemSet,
        children: [{ // 用户管理
          path: 'userManger',
          name: 'userManger',
          component: userManger,
          children: []
        }, { // 角色管理
          path: 'characterManger',
          name: 'characterManger',
          component: characterManger,
          children: []
        }],
      }, { // 案场管理
        path: 'caseManger',
        name: 'caseManger',
        component: caseManger,
        children: [{ // 案场信息
          path: 'caseInfo',
          name: 'caseInfo',
          component: caseInfo,
          children: []
        }, { // 新增案场
          path: 'caseInfo/addCase',
          name: 'addCase',
          component: addCase,
          children: []
        }, { // 修改案场
          path: 'caseInfo/editCase',
          name: 'editCase',
          component: editCase,
          children: []
        }, { // 钥匙管理
          path: 'keyManger',
          name: 'keyManger',
          component: keyManger,
          children: []
        }, { // 案场区域管理
          path: 'caseAreaManger',
          name: 'caseAreaManger',
          component: caseAreaManger,
          children: []
        }, { // 案场桌位管理
          path: 'caseTableManger',
          name: 'caseTableManger',
          component: caseTableManger,
          children: []
        }],
      }, { // 商品管理
        path: 'goodsManger',
        name: 'goodsManger',
        component: goodsManger,
        children: [{ // 商品类型管理
          path: 'goodsTypeManger',
          name: 'goodsTypeManger',
          component: goodsTypeManger,
          children: []
        }, { // 商品规格管理
          path: 'goodsSpecManger',
          name: 'goodsSpecManger',
          component: goodsSpecManger,
          children: []
        }],
      }, { // cms管理
        path: 'cmsManger',
        name: 'cmsManger',
        component: cmsManger,
        children: [{ // 轮播图管理
          path: 'bannerManger',
          name: 'bannerManger',
          component: bannerManger,
          children: []
        }, { // 售楼处项目专题
          path: 'majorProjects',
          name: 'majorProjects',
          component: majorProjects,
          children: []
        }, { // 首页消息
          path: 'indexMsg',
          name: 'indexMsg',
          component: indexMsg,
          children: []
        }, { // 资讯管理
          path: 'newsManger',
          name: 'newsManger',
          component: newsManger,
          children: []
        }],
      }, { // 渠道管理
        path: 'channelManger',
        name: 'channelManger',
        component: channelManger,
        children: [{ // 渠道列表
          path: 'channelList',
          name: 'channelList',
          component: channelList,
          children: []
        }],
      }, { // 课程管理
        path: 'courseManger',
        name: 'courseManger',
        component: courseManger,
        children: [{ // 全龄生活5A
          path: 'fiveA',
          name: 'fiveA',
          component: fiveA,
          children: []
        }, { // 课程标签
          path: 'courseTag',
          name: 'courseTag',
          component: courseTag,
          children: []
        }],
      }, { // 数据统计
        path: 'dataStatistics',
        name: 'dataStatistics',
        component: dataStatistics,
        children: [{ // 前台用户列表
          path: 'frontEndUserList',
          name: 'frontEndUserList',
          component: frontEndUserList,
          children: []
        }]
      }]
    },
  ],
}
